SDL_LoadObject(3)

NAME
SDL_LoadObject - Dynamically load a shared object.

HEADER FILE
Defined in SDL3/SDL_loadso.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_SharedObject * SDL_LoadObject(const char *sofile);

FUNCTION PARAMETERS

sofile
    a system-dependent name of the object file.

RETURN VALUE
( SDL_SharedObject
 *) Returns an opaque pointer to the object handle or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_LoadFunction(3), •(3), SDL_UnloadObject(3)